Bug 179419 - problem with copying files of size greater than 2GB
problem with copying files of size greater than 2GB
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-31 02:03 EST by Marcin Załęczny
Modified: 2013-07-02 19:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-23 01:37:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcin Załęczny 2006-01-31 02:03:46 EST
Description of problem:

Problem with copying files greater than 2GB through built in mc
(mc-4.6.1a-4.FC4) ftp. After copied 2GB data, mc fall into an
infinited loop taking up to 76% CPU. 

Version-Release number of selected component (if applicable):
mc-4.6.1a-4.FC4

How reproducible:
Try copy file greater than 2GB through built in mc ftp service.

Steps to Reproduce:
1. Select Right->Ftp connection from main menu in mc.
2. Give right ftp server address.
3. Try to copy a file greater than 2GB from remote server
  
Actual results:
Infinited loop during copying and average 70% of CPU usage.

Expected results:
Correct finishing of copying.


Additional info:
None.
Comment 1 Jindrich Novy 2006-01-31 11:09:34 EST
Mysteriously it works for me when downloading 2.4GB file from a remote machine
using internal mc's ftp. However when looking into the code I see bad things:

from vfs/ftpfs.c:

static int
ftpfs_linear_read (struct vfs_class *me, struct vfs_s_fh *fh, void *buf, int len)
{
    int n;
    struct vfs_s_super *super = FH_SUPER;

    while ((n = read (FH_SOCK, buf, len))<0) {
        if ((errno == EINTR) && !got_interrupt())
            continue;
        break;
    }
...

So at the first look the ftp linear read should work for maximum of 2^31-1 bytes
to be read....
Comment 2 Jindrich Novy 2007-01-18 04:44:37 EST
Do you still see problems with copying >2GB files? It seems to be fixed in fc6
and on.
Comment 3 petrosyan 2008-02-23 01:37:17 EST
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.